about summary refs log tree commit diff stats
path: root/hm/soispha/conf/lf/commands/scripts/dl_file.sh
diff options
context:
space:
mode:
authorSoispha <soispha@vhack.eu>2024-02-20 17:21:42 +0100
committerSoispha <soispha@vhack.eu>2024-02-20 17:21:42 +0100
commitf2bdeaed0bcf97a880fe36cfc8a050d1643120b8 (patch)
treeba4fe9c3ddf076529701c0e776ffef2104ac23d5 /hm/soispha/conf/lf/commands/scripts/dl_file.sh
parentrefactor(treewide): Add a `.sh` extension to shell scripts (diff)
downloadnixos-config-f2bdeaed0bcf97a880fe36cfc8a050d1643120b8.zip
refactor(treewide): Reformat all files with treefmt
This includes getting all shellscripts to pass shellcheck. To accomplish
this, some old scripts were removed
Diffstat (limited to 'hm/soispha/conf/lf/commands/scripts/dl_file.sh')
-rwxr-xr-xhm/soispha/conf/lf/commands/scripts/dl_file.sh46
1 files changed, 28 insertions, 18 deletions
diff --git a/hm/soispha/conf/lf/commands/scripts/dl_file.sh b/hm/soispha/conf/lf/commands/scripts/dl_file.sh
index 5092174f..4f97f9b9 100755
--- a/hm/soispha/conf/lf/commands/scripts/dl_file.sh
+++ b/hm/soispha/conf/lf/commands/scripts/dl_file.sh
@@ -3,31 +3,41 @@
 # shellcheck source=/dev/null
 SHELL_LIBRARY_VERSION="2.0.13" . %SHELL_LIBRARY_PATH
 
+# shellcheck disable=SC2269
+f="$f"
+# shellcheck disable=SC2269
+fx="$fx"
+# shellcheck disable=SC2269
+fs="$fs"
+# shellcheck disable=SC2269
+id="$id"
+
 # Provides the ability to download a file by dropping it into a window
 
 url="$(dragon -t -x)"
 
 if [ -n "$url" ]; then
-  prompt "File Name: "
-  name=""
-  while [ -z "$name" ] || [ -e "$name" ]
-  do
-    read -r name
-    if [ -e "$name" ]; then
-      prompt "File already exists, overwrite [y|N]: "
-      read -r ans
+    prompt "File Name: "
+    name=""
+    while [ -z "$name" ] || [ -e "$name" ]; do
+        read -r name
+        if [ -e "$name" ]; then
+            prompt "File already exists, overwrite [y|N]: "
+            read -r ans
 
-      if [ "$ans" = "y" ]; then
-        break
-      else
-        prompt "File Name: "
-      fi
-    fi
-  done
+            if [ "$ans" = "y" ]; then
+                break
+            else
+                prompt "File Name: "
+            fi
+        fi
+    done
 
-  # Download the file with curl
-  [ -n "$name" ] && curl -o "$name" "$url" || die "curl failed"
+    # Download the file with curl
+    if [ -n "$name" ]; then
+        curl -o "$name" "$url" || die "curl failed"
+    fi
 else
-  die "URL is null!"
+    die "URL is null!"
 fi
 # vim: ft=sh